Subject: Re: which-func-ff-hook errors

From: Jambunathan K <[email-masked]>
Date: Tue, 26 Feb 2013 23:30:54 +0530

I reported a bug with similar symptoms a few hours ago.

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13821

> Folks,
>
> Every time I open a file, I get the following error:
>
> which-func-ff-hook error: (wrong-type-argument listp unbound)
>
> A quick check shows which-func-ff-hook calls the function ID'd by
> imenu-create-index-function, which is semantic-create-imenu-index.
>
> I don't have the time and elisp skills to diagnose this beyond this:
> the error occurs after the follow sexp is processed and the `or' tests
> are nil and nil
> (semantic-create-imenu-directory-index
> (or stream (semantic-fetch-tags-fast)))
>
> Does anyone have any thoughts about how to resolve this?

--